Generate content
curl --request POST \
--url https://ai.wisepilot.app/api/v1/generate/content \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"asset_type": "<string>",
"title": "<string>",
"website_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"context": "<string>",
"target_icp_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model": "<string>"
}
'import requests
url = "https://ai.wisepilot.app/api/v1/generate/content"
payload = {
"asset_type": "<string>",
"title": "<string>",
"website_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"context": "<string>",
"target_icp_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
asset_type: '<string>',
title: '<string>',
website_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
context: '<string>',
target_icp_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
model: '<string>'
})
};
fetch('https://ai.wisepilot.app/api/v1/generate/content', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"success": true,
"content": "<unknown>",
"profileId": "<string>",
"error": "<string>",
"evalResult": {
"score": 123,
"passed": true
}
}
}{
"success": false,
"error": "Invalid API key",
"code": "INVALID_API_KEY"
}Generation
Generate content
Generate content via the governed AI pipeline. Uses execution profiles mapped from the asset_type to control tools, context, rules, and validators.
POST
/
generate
/
content
Generate content
Authorizations
API key prefixed with cr_ (e.g. cr_a1b2c3...)
Body
application/json
⌘I